'===============================================================================
'Fonts.bas
'Created on 15/04/2016
'Latest changes on January, 2018
'===============================================================================

#Include "WinGUI.bi"

Dim As HWND Window_Main, Edit_Font(7)
Dim As HFONT hFont(7)
Dim As MSG msg
Dim As Integer i

'Create a window with edit boxes:
Window_Main = Window_New			(100, 100, 350, 400, "Demonstration of Fonts")
For i = 0 To 7
	Edit_Font(i) = EditBox_New	(10, 10 + 40 * i, 300, 30, "", ES_READONLY, Window_Main)
Next

'Create Fonts:
hFont(0) = Control_Createfont("Courier New",,, FW_THIN)
hFont(1) = Control_Createfont("Courier New",,, FW_BOLD)	'bold
hFont(2) = Control_Createfont("Arial")
hFont(3) = Control_Createfont("New Times Roman")
hFont(4) = Control_Createfont("Courier New", 20, 10)		'larger size
hFont(5) = Control_Createfont("Courier New",,,, True)			'italic
hFont(6) = Control_Createfont("Courier New",,,,, True)			'underlined
hFont(7) = Control_Createfont("Courier New",,,,,, True)		'strikeout

'Set different fonts for the edit boxes:
Control_SetFont(Edit_Font(0), hFont(0))
Control_SetFont(Edit_Font(1), hFont(1))
Control_SetFont(Edit_Font(2), hFont(2))
Control_SetFont(Edit_Font(3), hFont(3))
Control_SetFont(Edit_Font(4), hFont(4))
Control_SetFont(Edit_Font(5), hFont(5))	
Control_SetFont(Edit_Font(6), hFont(6))
Control_SetFont(Edit_Font(7), hFont(7))

'Set Text into edit boxes:
EditBox_SetText(Edit_Font(0), "Courier New - thin")
EditBox_SetText(Edit_Font(1), "Courier New - bold")
EditBox_SetText(Edit_Font(2), "Arial")
EditBox_SetText(Edit_Font(3), "New Times Roman")
EditBox_SetText(Edit_Font(4), "Courier New - larger size")
EditBox_SetText(Edit_Font(5), "Courier New - italic")
EditBox_SetText(Edit_Font(6), "Courier New - underlined")
EditBox_SetText(Edit_Font(7), "Courier New - strikeout")

'Wait until window is closed:
Do
	WaitEvent(Window_Main, msg)
Loop Until Window_Event_Close(Window_Main, msg)

'Delete all fonts:
For i = 0 To 7
	Control_DeleteFont(hFont(i))
Next

End
 
