'===============================================================================
' Buttons.bas
' Check boxes, group box, radio buttons, normal button
' Created on on 01/02/2015
' Last changes on October 20, 2016
'===============================================================================

#Include "WinGUI.bi"

Dim Shared As MSG msg
Dim Shared As HWND Window_Main, Check1, Check2, Radio1, Radio2, Radio3, _
										Radio4, Radio5, Button_State


Sub CreateWindow_Main()
	'Window

	Window_Main = Window_New		(100, 100, 300, 350, "Buttons")
	
	Check1 = CheckBox_New				(20, 20, 150, 20, "Checkbutton 1",, Window_Main)
	Check2 = CheckBox_New				(20, 50, 150, 20, "Checkbutton 2",, Window_Main)
	
	Var Group1 = GroupBox_New		(20, 80, 200, 90, "Group 1:", Window_Main)	
	Radio1 = RadioButton_New		(30, 100, 150, 20, "RadioButton 1", WS_GROUP, Window_Main)	'group of radio buttons
	Radio2 = RadioButton_New		(30, 120, 150, 20, "RadioButton 2",, Window_Main)
	Radio3 = RadioButton_New		(30, 140, 150, 20, "RadioButton 3",, Window_Main)
	
	Var Group2 = GroupBox_New		(20, 190, 200, 70, "Group 2:", Window_Main)	
	Radio4 = RadioButton_New		(30, 210, 150, 20, "RadioButton 4", WS_GROUP, Window_Main)	'new group of radio buttons
	Radio5 = RadioButton_New		(30, 230, 150, 20, "RadioButton 5",, Window_Main)	
	
	Button_State = Button_New		(20, 280, 150, 20, "Show Button States",, Window_Main)
	
	CheckBox_SetCheck(Check1, 1)
	RadioButton_SetCheck(Radio1, 1)
	
End Sub


Sub PrintState()
	'Show state of buttons on the console window:
	Cls
	Print "Checkbutton 1: "; CheckBox_GetCheck(Check1)
	Print "Checkbutton 2: "; CheckBox_GetCheck(Check2)
	Print
	Print "Radiobutton 1: "; RadioButton_GetCheck(Radio1)
	Print "Radiobutton 2: "; RadioButton_GetCheck(Radio2)
	Print "Radiobutton 3: "; RadioButton_GetCheck(Radio3)
	Print
	Print "Radiobutton 4: "; RadioButton_GetCheck(Radio4)
	Print "Radiobutton 5: "; RadioButton_GetCheck(Radio5)
	
End Sub


'Main:

CreateWindow_Main()

Do
	WaitEvent(Window_Main, msg)

	Select Case msg.hwnd
		Case Button_State
			If msg.message = WM_LBUTTONDOWN Then PrintState()
	End Select
	
Loop Until Window_Event_Close(Window_Main, msg)

End

