'==============================================================================
' Progressbar.bas
' Test of progress bar and demonstration of Windows timer
' Created on July 11, 2016
' Latest changes on October 20, 2016
'==============================================================================

#Include "WinGUI.bi"

Dim As HWND Window_Main, ProgBar, Edit_Time, Button_Start
Dim As MSG msg
Dim As Integer t

'Create the window:
Window_Main = Window_New		(100, 100, 500, 150, "Test ProgressBar")
Button_Start = Button_New		(160, 10, 60, 20, "Start",, Window_Main)
Var Label_Time = Label_New	(10, 40, 150, 20, "Elapsed time (ms):",, Window_Main)
Edit_Time = EditBox_New			(160, 40, 60, 20, "", ES_CENTER Or ES_READONLY, Window_Main)
ProgBar = ProgressBar_New		(10, 70, 450, 20, Window_Main)
ProgressBar_SetRange				(ProgBar, 0, 5000)

'Main:
Do
	WaitEvent(Window_Main, msg)
	Select Case msg.message
		Case WM_LBUTTONDOWN
			If msg.hwnd = Button_Start Then
				'Start time from 0:
				t = 0
				EditBox_SetText(Edit_Time, "0")
				ProgressBar_SetPos(ProgBar, 0)
				'Set timer to 100 miliseconds:
				SetTimer(Window_Main, 1, 100, 0)	
			End If
		Case WM_TIMER
			'Update time every 100 ms until 5000 ms:
			If t <= 5000 Then
				EditBox_SetText(Edit_Time, Str(t))
				ProgressBar_SetPos(ProgBar, t)
				t = t + 100
			Else
				'Kill timer after 5000 ms:
			  KillTimer(Window_Main, 1)	
			End If
	End Select
Loop Until Window_Event_Close(Window_Main, msg)

End
			
		

 
