'ThreeWindows.bas
'October 25, 2016
'Code modified by RNBW (2 windows -> 3 windows)

#Include "WinGUI.bi"

DIM SHARED AS HWND Window_Main, Window_Text, Window_Text2, Edit_1, _
            Edit_2, Edit_3, Edit_4, Edit_5, Edit_6, Edit_7, Edit_8, Edit_9, _
            Button_Ok, Button_Exit
DIM SHARED AS MSG msg

' Set up SUBs for three windows with 3 Editboxes
' The Window_Main will also have 2 buttons (for OK and EXIT).
' The program is exited and the windows closed by clicking the EXIT button.

SUB CreateWindow_Main
   'Main window
   
   Window_Main = Window_New (0, 50, 300, 200, "Window 1")
   Edit_1 = EditBox_New     (10, 10, 150, 20, "text...",, Window_Main)
   Edit_2 = EditBox_New     (10, 40, 150, 20, "text...",, Window_Main)
   Edit_3 = EditBox_New     (10, 70, 150, 20, "text...",, Window_Main)
   Button_Ok = Button_New   (10, 100, 150, 20, "Ok",, Window_Main)
   Button_Exit = Button_New (10, 130, 150, 20, "Exit",, Window_Main)     
END SUB


SUB CreateWindow_Text
  'Second window
   
   Window_Text = Window_New   (350, 50, 300, 150, "Window 2")
   Edit_4 = EditBox_New     (10, 10, 150, 20, "text...",, Window_Text)
   Edit_5 = EditBox_New     (10, 40, 150, 20, "text...",, Window_Text)
   Edit_6 = EditBox_New     (10, 70, 150, 20, "text...",, Window_Text)
   
END SUB

SUB CreateWindow_Text2
  'Third window
   
   Window_Text2 = Window_New   (700, 50, 300, 150, "Window 3")
   Edit_7 = EditBox_New     (10, 10, 150, 20, "text...",, Window_Text2)
   Edit_8 = EditBox_New     (10, 40, 150, 20, "text...",, Window_Text2)
   Edit_9 = EditBox_New     (10, 70, 150, 20, "text...",, Window_Text2)
   
END SUB
'Main:

'Open the three windows:
CreateWindow_Main()
CreateWindow_Text()
CreateWindow_Text2()

'Windows message loop. 
'Note: WaitEvent cannot be used here, since it supports only one window. Use the
'following code instead:
DO
   IF GetMessage(@msg, 0, 0, 0) <> 0 THEN
      IF IsDialogMessage(Window_Main, @msg) = 0 _
         AND IsDialogMessage(Window_Text, @msg) = 0  _
         AND IsDialogMessage(Window_Text2, @msg) = 0 THEN
         TranslateMessage(@msg)
         DispatchMessage(@msg)
      END IF
      IF msg.message = WM_LBUTTONDOWN THEN
         SELECT CASE msg.hwnd
            CASE Button_Ok
               'Code ...
            CASE Button_Exit
               END
         END SELECT
      END IF
   END IF
LOOP UNTIL Window_Event_Close(Window_Main, msg)

END
